#use appimage

Name:           motrix
Version:        1.6.11
Release:        %mkrel 1
Summary:        Linux Download Manager
Group:          Networking/WWW
License:        GPLv3+
URL:            https://github.com/agalwood/Motrix
Source1:        %{name}.desktop
Source2:        %{name}.png
#-----------------------------------------------------------------

%description
Motrix is a full-featured download manager that supports downloading HTTP,
FTP, BitTorrent, Magnet, etc. Motrix has a clean and easy to use interface.


%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/agalwood/Motrix/releases/download/v%{version}/Motrix-%{version}.AppImage
popd

install -Dm 0755 %{_sourcedir}/Motrix-%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus

%changelog
* Sat May 15 2021 tex - 1.6.11-1pclos2021
- create pkg from appimage
